﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace igGrid_Sample_MVC5.Models
{
    public class Product
    {
        public int ProductID { get; set; }
		[Display(Name = "Name 1")]
        public string Name { get; set; }
        public string ProductNumber { get; set; }
        public DateTime ReleaseDate { get; set; }
		public static IEnumerable<Product> GetProductData()
        {
            List<Product> products = new List<Product>();
            for (int i = 0; i < 1000; i++)
            {
                products.Add(new Product() { ProductID = i, Name = "Product " + (i % 5).ToString(), ProductNumber = i.ToString(), ReleaseDate = DateTime.Now.AddDays(i % 5) });
            }
            return products;
        }
    }
}